﻿using System.ComponentModel;
using PizzeriaDataModels;

namespace PizzeriaContracts.ViewModels
{
    public class ShopViewModel : IShopModel
    {
        public int Id { get; set; }
        [DisplayName("Название магазина")]
        public string ShopName { get; set; } = string.Empty;

        [DisplayName("Адрес")]
        public string Addres { get; set; } = string.Empty;
        [DisplayName("Дата открытия")]
        public DateTime OpenTime { get; set; }

        public Dictionary<int, (IPizzaModel, int)> ShopPizzas
        {
            get;
            set;
        } = new();
    }
}
